Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003962Doomseeker[All Projects] Cleanuppublic2021-12-28 13:132023-01-14 13:14
ReporterWubTheCaptain 
Assigned ToZalewa 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3.2 
Target Version1.4.0Fixed in Version1.4.0 
Summary0003962: Doomseeker builds an unmaintained SRB2 game plugin by default
DescriptionDiscussion in 0003958 points to the SRB2 game plugin being unmaintained (and seems to favor its discontinuation), but it is still being built as any other supported game plugin (not legacy).
Steps To Reproduce./src/plugins/CMakeLists.txt
Attached Filespatch file icon 0001-plugins-Move-the-SRB2-plugin-to-legacy-plugins.patch [^] (1,671 bytes) 2021-12-28 13:49 [Show Content]

- Relationships
child of 0003958needs testingZalewa SRB2 plugin is unmaintained 

-  Notes
User avatar (0022039)
WubTheCaptain (reporter)
2021-12-28 13:20
edited on: 2021-12-28 13:23

Target version for discontinuation (moving to legacy plugins) is undecided by Zalewa, so far.

User avatar (0022040)
WubTheCaptain (reporter)
2021-12-28 13:50

Patch 1/? added to disable building it by default. Needs a mention of discontinuation (removal) in the changelog once the target version is clear. Not sure if this plugin needs to be "forbidden" too (but probably not).
User avatar (0022383)
Zalewa (developer)
2022-09-10 14:39

I will kill this plugin for 1.4.
User avatar (0022630)
Zalewa (developer)
2023-01-04 16:55

The killing blow:https://bitbucket.org/Doomseeker/doomseeker/commits/368f0df909fbb7834ff8c78bfd735f529476ecce [^]
User avatar (0022667)
Zalewa (developer)
2023-01-05 12:41
edited on: 2023-01-05 12:41

The testing here entails checking if the SRB2 plugin isn't being built from the source-code by default anymore. It can still be enabled by enabling the BUILD_LEGACY_PLUGINS option.

User avatar (0022693)
Zalewa (developer)
2023-01-14 13:14

I just checked that and the newly configured build only builds chocolatedoom, odamex, turok2ex, zandronum and zandronumq plugins. No srb2. Everything looks ok.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2021-12-28 13:13 WubTheCaptain New Issue
2021-12-28 13:13 WubTheCaptain Relationship added child of 0003958
2021-12-28 13:18 WubTheCaptain Status new => confirmed
2021-12-28 13:20 WubTheCaptain Note Added: 0022039
2021-12-28 13:20 WubTheCaptain Note Edited: 0022039 View Revisions
2021-12-28 13:23 WubTheCaptain Note Edited: 0022039 View Revisions
2021-12-28 13:31 WubTheCaptain Assigned To => WubTheCaptain
2021-12-28 13:31 WubTheCaptain Status confirmed => assigned
2021-12-28 13:48 WubTheCaptain File Added: 0001-plugins-Move-the-SRB2-plugin-to-legacy-plugins.patch
2021-12-28 13:48 WubTheCaptain File Deleted: 0001-plugins-Move-the-SRB2-plugin-to-legacy-plugins.patch
2021-12-28 13:49 WubTheCaptain File Added: 0001-plugins-Move-the-SRB2-plugin-to-legacy-plugins.patch
2021-12-28 13:50 WubTheCaptain Note Added: 0022040
2021-12-28 13:50 WubTheCaptain Assigned To WubTheCaptain =>
2021-12-28 13:50 WubTheCaptain Status assigned => confirmed
2022-09-10 14:39 Zalewa Note Added: 0022383
2022-09-10 14:39 Zalewa Target Version => 1.4.0
2023-01-04 16:01 Zalewa Assigned To => Zalewa
2023-01-04 16:01 Zalewa Status confirmed => assigned
2023-01-04 16:55 Zalewa Note Added: 0022630
2023-01-04 16:55 Zalewa Status assigned => needs review
2023-01-05 12:39 Zalewa Note Added: 0022665
2023-01-05 12:39 Zalewa Status needs review => needs testing
2023-01-05 12:40 Zalewa Note Deleted: 0022665
2023-01-05 12:41 Zalewa Note Added: 0022667
2023-01-05 12:41 Zalewa Note Edited: 0022667 View Revisions
2023-01-14 13:14 Zalewa Note Added: 0022693
2023-01-14 13:14 Zalewa Status needs testing => resolved
2023-01-14 13:14 Zalewa Fixed in Version => 1.4.0
2023-01-14 13:14 Zalewa Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2023 MantisBT Team
Powered by Mantis Bugtracker